#export PATH="/usr/local/MGLTools-1.5.4/bin:"$PATH

import os
import re 

oldPATH = os.environ.get('PATH')
newPATH = '/usr/local/MGLTools-1.5.4/bin:'+oldPATH
os.environ['PATH'] = newPATH

pathstr_rec = "../selected_pdbs_bay_prepare_receptor4-pdbqt"
receptor_files= os.listdir(pathstr_rec)

pathstr_lig = "../selected_pdbs_bay_prepare_ligand4-pdbqt"
ligand_files= os.listdir(pathstr_lig)


for rec in receptor_files:
	rec_name = os.path.basename(rec);
	pattern = re.compile('pdbqt$')
	recmatchObj = pattern.search(rec_name)
	if recmatchObj: 
#		print(rec_name)
		for lig in ligand_files:
			lig_name = os.path.basename(lig);
			pattern = re.compile('pdbqt$')
			ligmatchObj = pattern.search(lig_name)	
			if ligmatchObj: 		
				print(rec_name+"\t"+lig_name)
				os.system('pythonsh ../Utilities24/compute_AutoDock41_score.py -r '+rec_name+' -l '+lig_name)

os.system('rm *.pdbqt')
